/*
 * Copyright 2011, Strategic Gains, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.strategicgains.restexpress.query;

/**
 * Called by QueryFilter.iterate() at query construction time to modify the persistence query
 * (or other query) to reduce the number of results returned.
 * 
 * @author toddf
 * @since May 25, 2011
 */
public interface FilterCallback
{
	/**
	 * @param name
	 * @param value
	 */
	void filterOn(FilterComponent component);
}
